Package twisted :: Package web :: Module server :: Class Session

[show private | hide private]
[frames | no frames]

## Class Session

    Versioned --+
                |
    Componentized --+
                    |
                   Session

A user's session with a system.

This utility class contains no functionality, but is used to represent a session.

Method Summary
| ``__init__`(self, site, uid)` Initialize a session with a unique ID for that session.
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out. (inherited from `Versioned`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| ``addAdapter`(self, adapterClass, ignoreClass)` Utility method that calls addComponent. (inherited from `Componentized`)
| ``addComponent`(self, component, ignoreClass)` Add a component to me, for all appropriate interfaces. (inherited from `Componentized`)
| `checkExpired(self)`
| ``expire`(self)` Expire/logout of the session.
| ``getComponent`(self, interface)` Create or retrieve an adapter for the given interface. (inherited from `Componentized`)
| `locateAdapterClass(self, klass, interfaceClass, default)` (inherited from `Componentized`)
| ``notifyOnExpire`(self, callback)` Call this callback when the session expires or logs out.
| ``removeComponent`(self, component)` Remove the given component from me entirely, for all interfaces which it has been registered. (inherited from `Componentized`)
| `setAdapter(self, interfaceClass, adapterClass)` (inherited from `Componentized`)
| `setComponent(self, interfaceClass, component)` (inherited from `Componentized`)
| `touch(self)`
| ``unsetComponent`(self, interfaceClass)` Remove my component specified by the given interface class. (inherited from `Componentized`)
| `upgradeToVersion1(self)` (inherited from `Componentized`)
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Method Details

### __init__(self, site, uid)
(Constructor)

Initialize a session with a unique ID for that session.

### expire(self)

Expire/logout of the session.

### notifyOnExpire(self, callback)

Call this callback when the session expires or logs out.

Generated by Epydoc 1.1 on Sat Feb 15 21:18:16 2003 | http://epydoc.sf.net